> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. رفع ملفات مضغوطة (أكبر من 6 ميغابايت)

بسبب أحد القيود التقنية لدى مزوّد سحابة AWS، يجب رفع الملفات التي يزيد حجمها على 6 MB على خطوتين:

#### **1. طلب الرابط الموقّع مسبقًا لإجراء الرفع المباشر لاحقًا.** <a href="#step1" id="step1"></a>

المدخلات:

* `fileType` - `yield` أو `soil` أو `applied` أو `adapt` أو `boundary`,
* `farmUuid` (اختياري) - معرّف UUID للمزرعة المراد استيراد الملف إليها.

المخرجات:

* `uuid` - معرّف UUID المتوقع بعد رفع الملف ومعالجته،
* `farmUuid` - كما في المدخلات،
* `fileType` - كما في المدخلات،
* `s3Url` - عنوان URL المستخدم لرفع الملف،
* `s3Fields` - السمات التي يجب تمريرها في نموذج رفع الملف.

ترد تفاصيل استخدام `s3Url` و `s3Fields` في الخطوة الثانية.

تظل السمات صالحة لمدة 60 دقيقة فقط لرفع الملف.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. إرسال ملف محلي إلى s3Url باستخدام سمات النموذج المحددة مسبقًا من s3Fields.** <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

ستُرسل الإشعارات المتعلقة بالمعالجة عبر آلية الاشتراك الموضحة في\
[1. الاشتراك: استلام الأحداث](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
يتضمن رأس الاستجابة `رأسًا باسم Etag` يظهر مثلًا على النحو التالي: `Etag: "6fd3e76992738357ab50039f2c60024e"`. تُستخدم هذه القيمة لاحقًا في GraphQL [query getPlatformContext](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/geopard-api-requests-overview/83.-query-collect-platform-context.md) لمراقبة تقدم المعالجة، وكذلك الارتباط بكيانات «الحقل» و«مجموعة بيانات التطبيق» و«مجموعة بيانات المحصول» و«مجموعة بيانات التربة».
{% endhint %}

{% hint style="info" %}
استخدم `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
